Subject: Re: perl-libwin32 version mismatch
From: "Gerrit P. Haase" <[email-masked]>
To: MagerValp <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 Aug 2004 21:09:21 +0200

Hallo MagerValp,

Am Sonntag, 15. August 2004 um 20:02 schriebst du:

>>>>>> "GPH" == Gerrit P Haase <[email-masked]> writes:

MV>> With the exception of the OLE module, everything builds and
MV>> installs fine on my machine.

GPH>> Is it possible to get some more details about the error you get?

> Sorry, I didn't save it, and I've hacked the makefile now to work
> around it (as I don't need the OLE module), but it was something about
> an undefined preprocessor symbol. It's quite possible that it's just
> my machine though - grab the source and check if it shows up for you
> too.

I'm getting an error with ODBC:

gcc -shared -o  ODBC.dll -Wl,--out-implib=libODBC.dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--stack,8388608 \
-s -L/usr/local/lib CMom.o Constant.o CResults.o ODBC.o Odbc.res  /usr/lib/perl5/5.8.5/cygwin-thread-multi-64int/CORE/libperl.dll.a -L/lib/w32api -lnetapi32 -lwininet -lversion -lmpr -lodbc32 -lodbccp32 -lwinmm -lstdc++ -lole32 -loleaut32 -luuid -lcomctl32 -lgdi32 -lcomdlg32 -lntdll
Creating library file: libODBC.dll.a
ODBC.o(.text+0x7858):ODBC.cpp: undefined reference to `_SQLGetPrivateProfileString'
ODBC.o(.text+0x7bcd):ODBC.cpp: undefined reference to `_SQLGetPrivateProfileString'
ODBC.o(.text+0xf772):ODBC.cpp: undefined reference to `_SQLConfigDataSource'
collect2: ld returned 1 exit status

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/